
Redmine - Defect #23952

Values in user fields are sorted by ID and not by name

2016-09-28 15:53 - Serghei Zagorinyak

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.0

Description

In all user fields other than assigned_to field values in dropdown list are sorted by user_id, not by lastname, like in previous versions.

History

#1 - 2016-09-28 16:26 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I cannot reproduce on vanilla Redmine 3.3.0.

Sorting rule is defined at source:tags/3.3.0/app/models/user.rb#L24 .

#2 - 2016-09-28 22:55 - Serghei Zagorinyak

Toshi MARUYAMA wrote:

I cannot reproduce on vanilla Redmine 3.3.0.

Sorting rule is defined at source:tags/3.3.0/app/models/user.rb#L24 .

 Yep, you're right. After having the plugins folder completely removed, sorting went back to normal. Can close this one.

Thanks for the insight :)

#3 - 2016-10-10 19:05 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.
